package br.exemplonewadmob;


import java.util.GregorianCalendar;

import com.google.android.gms.ads.AdListener;
import com.google.android.gms.ads.AdRequest;
import com.google.android.gms.ads.AdSize;
import com.google.android.gms.ads.AdView;
import com.google.android.gms.ads.InterstitialAd;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.LinearLayout;

public class MainActivity extends Activity {
	private LinearLayout linearlayout;
	private AdView adView_1;
	private AdView adView_2;
	private InterstitialAd interstitial;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		linearlayout = (LinearLayout) findViewById(R.id.linearLayout);
		
		adView_1 = new AdView(this);
		adView_1.setAdUnitId("ca-app-pub-1345539995872415/1572548082");
		adView_1.setAdSize(AdSize.BANNER);
		linearlayout.addView(adView_1);
		
		adView_2 = new AdView(this);
		adView_2.setAdUnitId("ca-app-pub-1345539995872415/1572548082");
		adView_2.setAdSize(AdSize.MEDIUM_RECTANGLE);
		linearlayout.addView(adView_2);
		
		interstitial = new InterstitialAd(this);
		interstitial.setAdUnitId("ca-app-pub-1345539995872415/1572548082");
		
		AdRequest adRequest = new AdRequest.Builder()
							.addTestDevice(AdRequest.DEVICE_ID_EMULATOR)
							.addTestDevice("4E13D4397AD635D095F474E81D12A19F")
							.build();
		
		adView_1.setAdListener(new AdListener(){
			@Override
			public void onAdLoaded(){
				Log.i("Script", "onAdLoaded()");
			}
			@Override
			public void onAdFailedToLoad(int error){
				Log.i("Script", "onAdFailedToLoad("+error+")");
			}
			@Override
			public void onAdOpened(){
				Log.i("Script", "onAdOpened()");
			}
			@Override
			public void onAdClosed(){
				Log.i("Script", "onAdClosed()");
			}
			@Override
			public void onAdLeftApplication(){
				Log.i("Script", "onAdLeftApplication()");
			}
		});
		
		adView_1.loadAd(adRequest);
		adView_2.loadAd(adRequest);
		interstitial.loadAd(adRequest);
	}
	
	
	@Override
	protected void onResume(){
		super.onResume();
		adView_1.resume();
		adView_2.resume();
	}
	
	
	@Override
	protected void onStop(){
		super.onStop();
		adView_1.pause();
		adView_2.pause();
	}
	
	
	@Override
	protected void onDestroy(){
		super.onDestroy();
		adView_1.destroy();
		adView_2.destroy();
	}
	
	
	// LISTENER
		public void showInterstitial(View view){
			interstitial.show();
		}
}
